Subject: Re: bug#69983: Use category for display-buffer-alist

From: Juri Linkov <[email-masked]>
Date: Fri, 12 Apr 2024 09:37:10 +0300

>> There is already the option display-buffer-alist.
>
> Which I think is not appropriate for customizing what warnings.el
> does, for the reasons I explained above.

As you can see in the Subject, the whole point of this bug report is to
add a category to display-buffer calls, so displaying the warning buffer
can be customized by the existing option 'display-buffer-alist'.

Adding hundreds of separate options for every display-buffer call
makes no sense.